#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCverbList.h>
extern WSCverbList* newlist_001;
void btnep1(WSCbase* object){
static int count = 1;
  WSCstring str;
  str << "항목" << count << ",아야어여,아야어여,123";
  newlist_001->addItem(str);

  if (count % 2 == 0){
    //2,4,6..번째에서
    //WSNiconPixmap 속성와 다른 아이콘을 지정해본다.
    //리스트와 항목표시에 이용되는 라벨을 취득
    //-1 은 마지막 항목을 의미한다.
    WSCbase* lb = newlist_001->getLabel(-1);
    lb->setProperty(WSNlabelPixmap,"$(WSDIR)/sys/pixmaps/bi16.xpm");
  }
  count++;

}
static WSCfunctionRegister  op("btnep1",(void*)btnep1);
